%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  fdaMocca
%global packver   0.1-1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.1
Release:          1%{?dist}%{?buildtag}
Summary:          Model-Based Clustering for Functional Data with Covariates

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 3.6.0
Requires:         R-core >= 3.6.0
BuildArch:        noarch
BuildRequires:    R-stats 
BuildRequires:    R-graphics 
BuildRequires:    R-CRAN-Matrix 
BuildRequires:    R-parallel 
BuildRequires:    R-CRAN-foreach 
BuildRequires:    R-CRAN-doParallel 
BuildRequires:    R-CRAN-mvtnorm 
BuildRequires:    R-CRAN-fda 
BuildRequires:    R-grDevices 
Requires:         R-stats 
Requires:         R-graphics 
Requires:         R-CRAN-Matrix 
Requires:         R-parallel 
Requires:         R-CRAN-foreach 
Requires:         R-CRAN-doParallel 
Requires:         R-CRAN-mvtnorm 
Requires:         R-CRAN-fda 
Requires:         R-grDevices 

%description
Routines for model-based functional cluster analysis for functional data
with optional covariates. The idea is to cluster functional subjects
(often called functional objects) into homogenous groups by using spline
smoothers (for functional data) together with scalar covariates. The
spline coefficients and the covariates are modelled as a multivariate
Gaussian mixture model, where the number of mixtures corresponds to the
number of clusters. The parameters of the model are estimated by
maximizing the observed mixture likelihood via an EM algorithm (Arnqvist
and Sjöstedt de Luna, 2019) <arXiv:1904.10265>. The clustering method is
used to analyze annual lake sediment from lake Kassjön (Northern Sweden)
which cover more than 6400 years and can be seen as historical records of
weather and climate.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
